View Issue Details

IDProjectCategoryView StatusLast Update
0009373ScribusStory Editor / Text Framespublic2016-12-08 22:04
Reporterjon.grossart Assigned To 
PrioritynormalSeverityminorReproducibilityalways
Status confirmedResolutionopen 
PlatformWin32OSVistaOS VersionSP2 x86
Product Version1.3.8 
Target Version1.5.4Fixed in Version 
Summary0009373: Preconfiguring font doesn't take affect
DescriptionI'm not sure if this is the intended default behavior, but it is kind of confusing. When I started a new text area and set the default font parameters I wanted to use, they are ignored until after I type the text in, and then reset the parameters.

I would think that when you are typing something, it should use the whatever the current font settings are, rather than starting back at the default.
Steps To Reproduce1. open a new document
2. create a new text frame and open the text editor
3. change the font type/size to something other than the default
4. type something in the window
5. "Update the text frame" to apply the changes

Result:
text displayed will be at default font/size (in my case, Arial/12 pt) rather than what I selected before I started typing.
Tagstext frames
PatchNo

Relationships

related to 0012096 closedfschmid Broken font height setting 
related to 0013537 closed Changing font in the editor is not recognized by the PP 
related to 0008725 confirmed Font settings for text frames in the Document Setup are ignored 
related to 0013813 closedjghali Font Management disabled 
related to 0013934 confirmed Alt+Tab away and back to SE will reset font back to default 
related to 0013935 closedjghali Changing font in PP doesn't take affect 
related to 0013501 confirmed impossible to set the character formatting at the end of the frame 
related to 0005979 closed F2 displays and uses default values for text 
related to 0013242 closed changing text size spinboxes in SE loses focus on intended text (+ mysteriously increments text size +1) 

Activities

jon.grossart

2010-09-26 04:51

reporter   ~0024586

Actually, I just tested the same thing on new text within an established frame and it had a similar result. Whatever you type goes with the font it already had, rather than what I had just selected before typing. I then have to select the text and reformat it.

Kunda

2016-04-09 05:24

updater   ~0039939

Last edited: 2016-04-09 13:01

View 3 revisions

I can't reproduce (mainly because of 0013935 which was actually a dupe of 0013501)

Kunda

2016-04-09 13:02

updater   ~0039957

@PeterBenedek, please test this. Thanks!

PeterBenedek

2016-04-11 20:14

developer   ~0040095

Last edited: 2016-12-05 19:39

View 2 revisions

Linux Mint 17.3; r21172; Qt5.6
"
1. open a new document
2. create a new text frame and open the text editor
3. change the font type/size to something other than the default
4. type something in the window
5. "Update the text frame" to apply the changes
"
I can reproduce exactly in that order!

Kunda

2016-04-11 21:21

updater   ~0040096

Thnaks Peter
assigning to 1.5.3

Kunda

2016-12-05 18:59

updater   ~0042691

Still exists in 1.5.3svn r21584

Issue History

Date Modified Username Field Change
2010-09-26 04:42 jon.grossart New Issue
2010-09-26 04:43 jon.grossart Tag Attached: text frames
2010-09-26 04:51 jon.grossart Note Added: 0024586
2010-09-28 03:16 christoph_s Status new => confirmed
2015-09-17 20:08 Kunda Category Story Editor / Text Frames => Story Ed/Txt Frames
2015-09-17 20:12 Kunda Category Story Ed/Txt Frames => Story Editor / Text Frames
2016-03-15 12:39 Kunda Relationship added related to 0008725
2016-04-04 15:57 Kunda Relationship added related to 0013685
2016-04-04 16:07 Kunda Relationship added related to 0013813
2016-04-09 04:58 Kunda Issue cloned: 0013934
2016-04-09 04:58 Kunda Relationship added related to 0013934
2016-04-09 05:19 Kunda Relationship deleted related to 0013685
2016-04-09 05:24 Kunda Note Added: 0039939
2016-04-09 05:24 Kunda Tag Attached: #tobeclosed
2016-04-09 06:04 Kunda Issue cloned: 0013935
2016-04-09 06:04 Kunda Relationship added related to 0013935
2016-04-09 06:06 Kunda Note Edited: 0039939 View Revisions
2016-04-09 12:59 Kunda Relationship added related to 0013501
2016-04-09 13:01 Kunda Note Edited: 0039939 View Revisions
2016-04-09 13:02 Kunda Note Added: 0039957
2016-04-09 13:13 Kunda Relationship added related to 0012096
2016-04-11 20:14 PeterBenedek Note Added: 0040095
2016-04-11 21:21 Kunda Tag Detached: #tobeclosed
2016-04-11 21:21 Kunda Patch => No
2016-04-11 21:21 Kunda Note Added: 0040096
2016-04-11 21:21 Kunda Target Version => 1.5.3
2016-04-14 14:52 Kunda Relationship added related to 0005979
2016-04-26 01:09 Kunda Relationship added related to 0013242
2016-04-26 01:16 Kunda Relationship added related to 0013537
2016-12-05 18:59 Kunda Note Added: 0042691
2016-12-05 19:39 PeterBenedek Note Edited: 0040095 View Revisions
2016-12-08 22:04 Kunda Target Version 1.5.3 => 1.5.4